### Hierarchy

- ICognitoLoginState

## Index

### Properties

- code
- formState
- message
- result
- userInput

## Properties

### code

code: string | undefined

- Defined in cognito-login/components/ICognitoLoginState.tsx:17

### formState

formState: LoginCurrentForm

- Defined in cognito-login/components/ICognitoLoginState.tsx:12

See {@link AuthFormState}

### Optional message

message: string | undefined

- Defined in cognito-login/components/ICognitoLoginState.tsx:18

### result

result: IAuthenticationResult | undefined

- Defined in cognito-login/components/ICognitoLoginState.tsx:16

Result of the last authentication operation

### userInput

userInput: ICognitoUserVariables

- Defined in cognito-login/components/ICognitoLoginState.tsx:8

User form input. See ICognitoUserVariables